package com.blueland.bpm.engine.util;

public class ActivityResource {
	private String id;  
    private String pId;  
    private String name;  
    private String type;
    private Integer level;
    private boolean isMulti;
    private Integer sort;
   
    

	public ActivityResource(String id, String pId, String name, Integer level, String type,
			boolean isMulti,Integer sort) {
		super();
		this.id = id;
		this.pId = pId;
		this.name = name;
		this.type = type;
		this.level = level;
		this.isMulti = isMulti;
		this.sort = sort;
		
	}
	


	public ActivityResource(String id, String pId, String name, Integer level, String type,
			boolean isMulti) {
		super();
		this.id = id;
		this.pId = pId;
		this.name = name;
		this.type = type;
		this.level = level;
		this.isMulti = isMulti;
		this.sort = 0;
		
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getpId() {
		return pId;
	}

	public void setpId(String pId) {
		this.pId = pId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public boolean isMulti() {
		return isMulti;
	}

	public void setMulti(boolean isMulti) {
		this.isMulti = isMulti;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ActivityResource other = (ActivityResource) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	
	
}
